package cn.wisenergy.mapper;

import cn.wisenergy.model.app.AccountUsers;
import cn.wisenergy.model.vo.AccountUserVo;
import cn.wisenergy.model.vo.UserRoleCountVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@Mapper
public interface AccountUsersMapper extends BaseMapper<AccountUsers> {
       /**
        * 获取用户列表
        * @return
        */
       List<AccountUsers> getUserList(@Param("keyword") String keyword);

       List<AccountUserVo>  getUserNameList();

       AccountUsers getByName(@Param("nickName") String nickName);

       AccountUsers getById(@Param("id") Integer id);

       AccountUsers getByAutoId(@Param("autoId") String autoId);

       int count();

       List<UserRoleCountVo> getUserRoles();

       List<String> getNameByRoleName(@Param("roleName") String roleName);

       int countByName(@Param("list") List<String> organizationName );

       List<UserRoleCountVo> getByOrgName(@Param("list")  List<String> organizationName);

       UserRoleCountVo getRoleByAutoId(@Param("autoId") String autoId);
}
