package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Resident;
import cn.wisenergy.model.vo.ResidentQueryVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ Description   :  java类作用描述
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/3 10:34
 */
@Mapper
public interface ResidentMapper extends BaseMapper<Resident> {

    int add(Resident resident);

    int modify(Resident resident);

    int delById(@Param("id") Integer id);

    List<Resident> getList(ResidentQueryVo residentQueryVo);

    Long getListCount(ResidentQueryVo residentQueryVo);

    int countPhone(@Param("phone") String phone);

    int checkPhone(@Param("id")Integer id,@Param("phone") String phone);

    Resident getByPhone(@Param("phone") String phone);

}
