package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 站点值守视频 传参封装
 */
@ApiModel
@Data
public class VideoPageQry implements Serializable {
    /**
     * 查询类型，0 通过小区查询 1 通过垃圾站查询
     */
    @ApiModelProperty(value = "查询类型，0 通过小区查询 1 通过垃圾站查询")
    private Integer type;
    /**
     * 小区id或者垃圾站id  id通过type区别
     */
    @ApiModelProperty(value = "小区id或者垃圾站id  id通过type区别")
    private String id;
    /**
     * 第几页
     */
    @ApiModelProperty(value = "第几页")
    private Integer pageNo;
    /**
     * 每页显示数量
     */
    @ApiModelProperty(value = "每页显示数量")
    private Integer pageSize;

}
