package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  统计详情Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 18:06
 */
@Data
@ApiModel(value = "CountDetailVo")
public class CountDetailVo implements Serializable {
    private static final long serialVersionUID = -6856683769331225485L;

    /**
     * 垃圾站总数
     */
    @ApiModelProperty(value = "垃圾站总数", name = "rubbishTotal")
    private Integer rubbishTotal=0;

    /**
     * 覆盖街道数量
     */
    @ApiModelProperty(value = "覆盖街道数量", name = "streetCount")
    private Integer streetCount=0;

    /**
     * 摄像机数量
     */
    @ApiModelProperty(value = "摄像机数量", name = "cameraCount")
    private Integer cameraCount=0;

    /**
     * 社区数量
     */
    @ApiModelProperty(value = "社区数量", name = "communityCount")
    private Integer communityCount=0;

    /**
     * 人员数量
     */
    @ApiModelProperty(value = "人员数量", name = "userCount")
    private Integer userCount=0;
}
