package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  督查派单Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 19:00
 */
@Data
@ApiModel(value = "InspectorVo")
public class InspectorVo implements Serializable {
    private static final long serialVersionUID = 368635896319164304L;

    /**
     * 督查派单总数
     */
    @ApiModelProperty(value = "督查派单总数", name = "total")
    private Integer total;

    /**
     * 反馈单数量
     */
    @ApiModelProperty(value = "反馈单数量", name = "backCount")
    private Integer backCount;

    /**
     * 反馈率
     */
    @ApiModelProperty(value = "反馈率", name = "backPercent")
    private String backPercent;
}
