package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  查询条件vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/30 16:32
 */
@Data
@ApiModel(value = "NewContentQueryVo")
public class NewContentQueryVo implements Serializable {

    private static final long serialVersionUID = 5198106522203517727L;
    /**
     * 类型：1：新闻   2：手册
     */
    @ApiModelProperty(value = "类型：1：新闻   2：手册", name = "type", required = true)
    private Integer type;

    /**
     *搜索字段名
     */
    @ApiModelProperty(value = "搜索字段名", name = "fieldName")
    private String fieldName;

    /**
     *搜索条件
     */
    @ApiModelProperty(value = "搜索条件", name = "condition")
    private String condition;

    /**
     * 搜索内容
     */
    @ApiModelProperty(value = "搜索内容", name = "content")
    private String content;

    /**
     * 起始页
     */
    @ApiModelProperty(value = "起始页", name = "pageNo")
    private Integer pageNo;

    /**
     * 页大小
     */
    @ApiModelProperty(value = "页大小", name = "pageSize")
    private Integer pageSize;

    private Integer startNum;

    private Integer endNum;
}
