package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ Description   :  公众号消息入参
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/2 11:46
 */
@Data
@ApiModel(value = "NewMessageVo")
public class NewMessageVo implements Serializable {
    private static final long serialVersionUID = -5742197028228770605L;

    private String media_id;

    private Integer index;

    private List<WxRequestVo> articles;

    /**
     * 错误码
     */
    @ApiModelProperty(value = "错误码", name = "errcode")
    private String errcode;

    /**
     * 错误信息
     */
    @ApiModelProperty(value = "错误信息", name = "errmsg")
    private String errmsg;


}
