package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ Description   :  派单反馈Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/5 15:57
 */
@Data
@ApiModel(value = "OrderBlackVo")
public class OrderBlackVo implements Serializable {
    private static final long serialVersionUID = -3115700111801201129L;

    /**
     * 派单id
     */
    @ApiModelProperty(value = "派单id", name = "autoId")
    private String autoId;

    /**
     * 接单人姓名
     */
    @ApiModelProperty(value = "接单人姓名", name = "userName")
    private String userName;

    /**
     * 接单人电话
     */
    @ApiModelProperty(value = "接单人电话", name = "phone")
    private String phone;

    /**
     * 图片1
     */
    @ApiModelProperty(value = "图片1", name = "imageOne")
    private String imageOne;
    /**
     * 图片2
     */
    @ApiModelProperty(value = "图片2", name = "imageTwo")
    private String imageTwo;
    /**
     * 图片3
     */
    @ApiModelProperty(value = "图片3", name = "imageThree")
    private String imageThree;

    /**
     * 处理说明
     */
    @ApiModelProperty(value = "处理说明", name = "dealExplain")
    private String dealExplain;

    /**
     * 上传语音
     */
    @ApiModelProperty(value = "上传语音", name = "uploadVoice")
    private String uploadVoice;
}
