package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ Description   :  获取永久素材Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/12 17:08
 */
@Data
@ApiModel(value = "QueryMaterialVo")
public class QueryMaterialVo implements Serializable {
    private static final long serialVersionUID = 7721507278224931248L;

    /**
     * 素材列表
     */
    @ApiModelProperty(value = "素材列表", name = "news_item")
    private List<WxRequestVo> news_item;

    /**
     * 视频素材标题
     */
    @ApiModelProperty(value = "视频素材标题", name = "title")
    private String title;

    /**
     * 视频素材描述
     */
    @ApiModelProperty(value = "视频素材描述", name = "description")
    private String description;

    /**
     * 视频素材url
     */
    @ApiModelProperty(value = "视频素材url", name = "down_url")
    private String down_url;

    /**
     * 错误码
     */
    @ApiModelProperty(value = "错误码", name = "errcode")
    private String errcode;

    /**
     * 错误信息
     */
    @ApiModelProperty(value = "错误信息", name = "errmsg")
    private String errmsg;
}
