package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  接单详情Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/10 18:08
 */
@Data
@ApiModel(value = "ReceiveOrderDetailVo")
public class ReceiveOrderDetailVo implements Serializable {
    private static final long serialVersionUID = 1389740478833922739L;

    /**
     * 派单id
     */
    @ApiModelProperty(value = "派单id", name = "autoId")
    private String autoId;

    /**
     * 接单人姓名
     */
    @ApiModelProperty(value = "接单人姓名", name = "nickName", required = true)
    private String nickName;

    /**
     * 接单人电话
     */
    @ApiModelProperty(value = "接单人电话", name = "phone", required = true)
    private String phone;

    /**
     * 图片1
     */
    @ApiModelProperty(value = "图片1", name = "imageOne")
    private String imageOne;
    /**
     * 图片2
     */
    @ApiModelProperty(value = "图片2", name = "imageTwo")
    private String imageTwo;
    /**
     * 图片3
     */
    @ApiModelProperty(value = "图片3", name = "imageThree")
    private String imageThree;

    /**
     * 服务需求
     */
    @ApiModelProperty(value = "服务需求", name = "serviceNeed", required = true)
    private String serviceNeed;

    /**
     * 公告
     */
    @ApiModelProperty(value = "公告", name = "serviceNeed", required = true)
    private String notice;

    /**
     * 处理说明
     */
    @ApiModelProperty(value = "处理说明", name = "dealExplain")
    private String dealExplain;

    /**
     * 语音
     */
    @ApiModelProperty(value = "语音", name = "voice")
    private String uploadVoice;

    /**
     * 派单图片1
     */
    @ApiModelProperty(value = "派单图片1", name = "sendImageOne")
    private String sendImageOne;
    /**
     * 派单图片2
     */
    @ApiModelProperty(value = "派单图片2", name = "sendImageTwo")
    private String sendImageTwo;
    /**
     * 派单图片3
     */
    @ApiModelProperty(value = "派单图片3", name = "sendImageThree")
    private String sendImageThree;

}
