package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  接单请求参数Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 20:43
 */
@Data
@ApiModel(value = "ReceiveOrderVo")
public class ReceiveOrderVo implements Serializable {

    private static final long serialVersionUID = 8991803182388823258L;
    /**
     * 接单编号 :如：SSO-202011-00231
     */
    @ApiModelProperty(value = "接单编号 :如：SSO-202011-00231", name = "serviceAutoId", required = true)
    private String serviceAutoId;

    /**
     * 处理说明
     */
    @ApiModelProperty(value = "处理说明", name = "dealExplain")
    private String dealExplain;

    /**
     * 上传图片1
     */
    @ApiModelProperty(value = "上传图片1", name = "imageOne")
    private String imageOne;

    /**
     * 上传图片2
     */
    @ApiModelProperty(value = "上传图片2", name = "imageTwo")
    private String imageTwo;

    /**
     * 上传图片3
     */
    @ApiModelProperty(value = "上传图片3", name = "imageThree")
    private String imageThree;

    /**
     * 上传语音
     */
    @ApiModelProperty(value = "上传语音", name = "voice")
    private String voice;

    /**
     * 公告
     */
    @ApiModelProperty(value = "公告", name = "serviceNeed", required = true)
    private String notice;


}
