package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/12 15:40
 */
@Data
@ApiModel(value = "ReceiveQuestVo")
public class ReceiveQuestVo implements Serializable {
    private static final long serialVersionUID = -4597962111447815452L;

    /**
     * 状态： 0 未处理 1 已处理
     */
    @ApiModelProperty(value = "状态： 0 未处理 1 已处理", name = "status", required = true)
    private Integer status;

    /**
     * 用户编号
     */
    @ApiModelProperty(value = "用户编号", name = "autoId", required = true)
    private String autoId;

    /**
     * 起始页
     */
    @ApiModelProperty(value = "起始页", name = "pageNo")
    private Integer pageNo;

    /**
     * 页大小
     */
    @ApiModelProperty(value = "页大小", name = "pageSize")
    private Integer pageSize;

    private Integer startNum;

    private Integer endNum;
}
