package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  居民查询条件Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/3 11:25
 */
@Data
@ApiModel(value = "ResidentQueryVo")
public class ResidentQueryVo implements Serializable {
    private static final long serialVersionUID = 3702814834598394046L;

    /**
     *搜索字段名
     */
    @ApiModelProperty(value = "搜索字段名", name = "fieldName")
    private String fieldName;

    /**
     *搜索条件
     */
    @ApiModelProperty(value = "搜索条件", name = "condition")
    private String condition;

    /**
     * 搜索内容
     */
    @ApiModelProperty(value = "搜索内容", name = "content")
    private String content;

    /**
     * 起始页
     */
    @ApiModelProperty(value = "起始页", name = "pageNo")
    private Integer pageNo;

    /**
     * 页大小
     */
    @ApiModelProperty(value = "页大小", name = "pageSize")
    private Integer pageSize;

    private Integer startNum;

    private Integer endNum;
}
