package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  派单统计Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 18:59
 */
@Data
@ApiModel(value = "SendOrderCountVo")
public class SendOrderCountVo implements Serializable {
    private static final long serialVersionUID = 7543642920135941860L;

    /**
     * 巡查派单统计
     */
    @ApiModelProperty(value = "巡查派单统计", name = "investigateVo")
    private InvestigateVo investigateVo;

    /**
     * 督查派单统计
     */
    @ApiModelProperty(value = "督查派单统计", name = "inspectorVo")
    private InspectorVo inspectorVo;
}
