package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @ Description   :  街道树结构Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 15:38
 */
@Data
@ApiModel(value = "StreetVo")
public class StreetVo implements Serializable {
    private static final long serialVersionUID = 2037289234529013932L;

    private String autoId;

    private String parentId;

    private String rootId;

    private String name;

    private List<StreetVo>  children;

}
