package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  上传永久素材Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/11 17:47
 */
@Data
@ApiModel(value = "UploadMaterialVo")
public class UploadMaterialVo implements Serializable {
    private static final long serialVersionUID = 6325743349131414595L;

    /**
     * media_id
     */
    @ApiModelProperty(value = "media_id", name = "media_id")
    private String media_id;

    /**
     * 媒体文件url
     */
    @ApiModelProperty(value = "媒体文件url", name = "url")
    private String url;

    /**
     * 错误码
     */
    @ApiModelProperty(value = "错误码", name = "errcode")
    private String errcode;

    /**
     * 错误信息
     */
    @ApiModelProperty(value = "错误信息", name = "errmsg")
    private String errmsg;
}
