package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  用户角色统计Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 18:22
 */
@Data
@ApiModel(value = "UserRoleCountVo")
public class UserRoleCountVo implements Serializable {
    private static final long serialVersionUID = 1898034923688516095L;

    /**
     * 用户角色名
     */
    @ApiModelProperty(value = "用户角色名",name = "userRoleName")
    private String userRoleName;

    /**
     * 数量
     */
    @ApiModelProperty(value = "数量",name = "count")
    private Integer count;
}
