package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  违规派单Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 18:46
 */
@Data
@ApiModel(value = "ViolationOrderVo")
public class ViolationOrderVo implements Serializable {
    private static final long serialVersionUID = 866547523998856611L;

    /**
     * 单id
     */
    @ApiModelProperty(value = "单id", name = "orderId")
    private String orderId;

    /**
     * 所属街道
     */
    @ApiModelProperty(value = "所属街道", name = "street")
    private String street;

    /**
     * 所属社区
     */
    @ApiModelProperty(value = "所属社区", name = "community")
    private String community;

    /**
     * 垃圾点名称
     */
    @ApiModelProperty(value = "垃圾点名称", name = "rubbishName")
    private String rubbishName;

    /**
     * 负责人姓名
     */
    @ApiModelProperty(value = "负责人姓名", name = "userName")
    private String userName;

    /**
     * 摄像机编号
     */
    @ApiModelProperty(value = "摄像机编号", name = "cameraNumber")
    private String cameraNumber;

    /**
     * 违规图片
     */
    @ApiModelProperty(value = "违规图片", name = "image")
    private String image;

    /**
     * 抓拍时间
     */
    @ApiModelProperty(value = "抓拍时间", name = "photoTime")
    private Date photoTime;
}
