package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.Camera;
import cn.wisenergy.model.vo.CameraQueryVo;
import cn.wisenergy.model.vo.RubbishNameVo;
import cn.wisenergy.model.vo.StreetVo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;

import java.util.List;


public interface CameraService extends IService<Camera> {
    R<Camera> add(Camera camera);

    R<Boolean> edit(Camera camera);

    R<Boolean> delete(Integer id);

    R<PageInfo<Camera>> getList(CameraQueryVo cameraQueryVo);

    /**
     * 获取垃圾站名称
     * @return 结果集
     */
    R<List<RubbishNameVo>> getRubbishNameList();

}
