package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.NewContent;
import cn.wisenergy.model.vo.*;
import com.github.pagehelper.PageInfo;


public interface NewContentService {

    R<NewContent> add(NewContent newContent, String token);

    R<Boolean> edit(NewContent newContent, String token);

    R<Boolean> delete(Integer id, Integer type);

    R<PageInfo> getList(NewContentQueryVo newContent);

    AccessToken getToken();

    UploadMaterialVo addNew(NewMessageVo messageVo, String token);

    UpdateMaterialVo updateMaterial(NewMessageVo messageVo, String token);

    Object list(WxDto wxDto, String token);

    R<UploadMaterialVo> addMaterialEver(String fileUrl, String type, String token);

    QueryMaterialVo getMaterial(RequestMaterialVo request, String token);


}
