package cn.wisenergy.service.app;


import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.AccountUsers;
import cn.wisenergy.model.vo.AccountUserVo;

import java.util.List;

public interface UserService {

    /**
     * 获取用户列表信息
     * @return
     */
    R<List<AccountUsers>> getUserList(String keyword);

    /**
     * 获取用户名称列表
     */
    R<List<AccountUserVo>> getUserNameList();
}
