package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  组织架构表
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/4 14:21
 */
@ApiModel("AccountOrganization")
@Data
@TableName("account_organization")
public class AccountOrganization implements Serializable {
    private static final long serialVersionUID = 3733971310121099370L;

    private Integer id;

    private Date createTime;

    private Date updateTime;

    private String createUserAutoId;

    private String updateUserAutoId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     *排序
     */
    private Integer sort;

    /**
     *有前后缀的自动编号
     */
    private String autoId;

    /**
     *父级部门编号
     */
    private String parentId;

    /**
     *
     */
    private String rootId;

    /**
     *
     */
    private String name;

    /**
     *
     */
    private String organNumber;

    /**
     *
     */
    private String taxNumber;

    /**
     *
     */
    private String openingBank;

    /**
     *
     */
    private String bankCardNumber;

    /**
     *
     */
    private Integer type;

    /**
     *
     */
    private String logo;

    /**
     *
     */
    private String address;

    /**
     *
     */
    private String telphone;

    /**
     *
     */
    private String mobile;

    /**
     *
     */
    private String email;

    /**
     *
     */
    private String website;

    /**
     *
     */
    private String managerLvl1Id;

    /**
     *
     */
    private String managerLvl1;

    /**
     *
     */
    private String managerLvl2Id;

    /**
     *
     */
    private String managerLv21;

    /**
     *
     */
    private String description;

}
