package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

@Data
@TableName(value = "ffmpeg_back_record")
public class FfmpegBackRecord implements Serializable {


    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 摄像机id
     */
    private Integer camearId;
    /**
     * 开始时间戳
     */
    private Long beginTime;
    /**
     * 结束时间戳
     */
    private Long endTime;
    /**
     * 回放URL
     */
    private String backPlayUrl;

    /**
     * 回放拼接执行的定时任务
     */
    private String channelName;

    /**
     * 是否有推送的视频流
     * 0 为正常
     * 1 为不正常
     */
    private Integer status;

    /**
     * 摄像机编号
     */
    @TableField(exist = false)
    private String cameraNumber;
}
