package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 *监控点编号集合
 */
@ApiModel
public class CameraIndexCodes implements Serializable {

    /**
     * 监控点编号集合，一次性最多传入1000个监控点编号进行查询，分页获取监控点资源接口获取返回参数cameraIndexCode
     */
    @ApiModelProperty(required = true,value = "监控点编号集合")
    @NotEmpty
    private String[]  cameraIndexCodes;
}
