package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  展示摄像头信息Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/30 10:02
 */
@Data
public class CameraIndexVo implements Serializable {
    private static final long serialVersionUID = -3974779391804258758L;

    /**
     * 摄像头编码
     */
    @ApiModelProperty(value = "摄像头编码", name = "cameraCode")
    private String cameraCode;

    /**
     * 直播时间
     */
    @ApiModelProperty(value = "直播时间", name = "liveTime")
    private Integer liveTime;

    /**
     * 点播时间
     */
    @ApiModelProperty(value = "点播时间", name = "clickTime")
    private Integer clickTime;

}
