package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  清运团队Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 20:07
 */
@Data
@ApiModel(value = "ClearTeamVo")
public class ClearTeamVo implements Serializable {
    private static final long serialVersionUID = 3750575905834047294L;

    /**
     * 时间
     */
    @ApiModelProperty(value = "时间", name = "dayTime")
    private String dayTime;

    /**
     * 清运次数
     */
    @ApiModelProperty(value = "清运次数", name = "clearCount")
    private Integer clearCount;

    /**
     * 清运率
     */
    @ApiModelProperty(value = "清运率", name = "clearPercent")
    private String clearPercent;
}
