package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  督查率Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 18:30
 */
@Data
@ApiModel(value = "InspectorRateVo")
public class InspectorRateVo implements Serializable {
    private static final long serialVersionUID = -5647832185588401041L;

    /**
     * 小区或街道名称
     */
    @ApiModelProperty(value = "小区或街道名称", name = "areaName")
    private String areaName;

    /**
     * 督查百分比
     */
    @ApiModelProperty(value = "督查百分比", name = "percent")
    private Double percent;
}
