package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  巡查派单统计
 * @ Author        :  lcc
 * @ CreateDate    :  2020/12/8 19:02
 */
@Data
@ApiModel(value = "InvestigateVo")
public class InvestigateVo implements Serializable {
    private static final long serialVersionUID = -901836424706111883L;

    /**
     * 巡查派单总数
     */
    @ApiModelProperty(value = "巡查派单总数", name = "total")
    private Integer total;

    /**
     * 反馈单数量
     */
    @ApiModelProperty(value = "反馈单数量", name = "backCount")
    private Integer backCount;

    /**
     * 反馈率
     */
    @ApiModelProperty(value = "反馈率", name = "backPercent")
    private String backPercent;
}
