package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  派单详情Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/5 15:49
 */
@Data
@ApiModel(value = "OrderDetailVo")
public class OrderDetailVo implements Serializable {
    private static final long serialVersionUID = 8537688771545510778L;

    /**
     * 派单id
     */
    @ApiModelProperty(value = "派单id", name = "autoId")
    private String autoId;

    /**
     * 接单人姓名
     */
    @ApiModelProperty(value = "接单人姓名", name = "userName", required = true)
    private String userName;

    /**
     * 接单人电话
     */
    @ApiModelProperty(value = "接单人电话", name = "phone", required = true)
    private String phone;

    /**
     * 图片1
     */
    @ApiModelProperty(value = "图片1", name = "imageOne")
    private String imageOne;
    /**
     * 图片2
     */
    @ApiModelProperty(value = "图片2", name = "imageTwo")
    private String imageTwo;
    /**
     * 图片3
     */
    @ApiModelProperty(value = "图片3", name = "imageThree")
    private String imageThree;

    /**
     * 服务需求
     */
    @ApiModelProperty(value = "服务需求", name = "serviceNeed", required = true)
    private String serviceNeed;

    /**
     * 公告
     */
    @ApiModelProperty(value = "公告", name = "serviceNeed", required = true)
    private String notice;

    /**
     * 垃圾站位置
     */
    @ApiModelProperty(value = "垃圾站位置", name = "site")
    private String site;

    /**
     * 派单时间
     */
    @ApiModelProperty(value = "派单时间", name = "sendTime")
    private String sendTime;
}
