package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :   订单查询VO
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/5 15:45
 */
@Data
@ApiModel(value = "OrderQueryVo")
public class OrderQueryVo implements Serializable {
    private static final long serialVersionUID = -1946034571098902817L;
    /**
     * 派单类型 0：远程值守派单 1：督查中心派单
     */
    @ApiModelProperty(value = "派单类型 0：远程值守派单 1：督查中心派单", name = "sendType", required = true)
    private Integer sendType;

    /**
     *搜索字段名
     */
    @ApiModelProperty(value = "搜索字段名", name = "fieldName")
    private String fieldName;

    /**
     *搜索条件
     */
    @ApiModelProperty(value = "搜索条件", name = "condition")
    private String condition;

    /**
     * 搜索内容
     */
    @ApiModelProperty(value = "搜索内容", name = "content")
    private String content;

    /**
     * 起始页
     */
    @ApiModelProperty(value = "起始页", name = "pageNo")
    private Integer pageNo;

    /**
     * 页大小
     */
    @ApiModelProperty(value = "页大小", name = "pageSize")
    private Integer pageSize;

    private Integer startNum;

    private Integer endNum;
}
