package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @ Description   :  接单列表展示Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/10 17:25
 */
@Data
@ApiModel(value = "ReceiveOrderResponse")
public class ReceiveOrderResponse implements Serializable {
    private static final long serialVersionUID = -3946263235086973073L;

    /**
     * 服务单工单id
     */
    @ApiModelProperty(value = "工单id", name = "autoId")
    private String autoId;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题", name = "title")
    private String title;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "createTime")
    private Date createTime;
}
