package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  垃圾站名称列表Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/6 15:16
 */
@Data
@ApiModel(value = "RubbishNameVo")
public class RubbishNameVo implements Serializable {
    private static final long serialVersionUID = 7573795863314347623L;

    /**
     * 垃圾站id
     */
    @ApiModelProperty(value = "垃圾站id", name = "rubbishId")
    private Integer rubbishId;

    /**
     * 垃圾站名称
     */
    @ApiModelProperty(value = "垃圾站名称", name = "name")
    private String name;
}
