package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ Description   :  派单列表Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/5 15:30
 */
@Data
@ApiModel(value = "SendOrderVo", description = "派单列表Vo")
public class SendOrderVo implements Serializable {
    private static final long serialVersionUID = 6440031151723794315L;

    /**
     * 派单编号
     */
    @ApiModelProperty(value = "派单编号", name = "autoId")
    private String autoId;

    /**
     * 督察员id
     */
    @ApiModelProperty(value = "督察员id", name = "inspectorId")
    private String inspectorId;

    /**
     * 督察员名称
     */
    @ApiModelProperty(value = "督察员名称", name = "inspectorName")
    private String inspectorName;

    /**
     * 垃圾站位置
     */
    @ApiModelProperty(value = "垃圾站位置", name = "rubbishSite")
    private String rubbishSite;

    /**
     * 接单人姓名
     */
    @ApiModelProperty(value = "接单人姓名", name = "nickName")
    private String nickName;

    /**
     * 角色名称
     */
    @ApiModelProperty(value = "角色名称", name = "roleName")
    private String roleName;

    /**
     * 处理状态
     */
    @ApiModelProperty(value = "处理状态", name = "dealStatus")
    private String dealStatus;

    /**
     * 派单原因
     */
    @ApiModelProperty(value = "派单原因", name = "reason")
    private String reason;

    /**
     * 派单时间
     */
    @ApiModelProperty(value = "派单时间", name = "sendTime")
    private String sendTime;

    /**
     * 处理时间
     */
    @ApiModelProperty(value = "处理时间", name = "dealTime")
    private String dealTime;

    /**
     * 摄像机编号
     */
    @ApiModelProperty(value = "摄像机编号", name = "cameraNumber", required = true)
    private String cameraNumber;
}
