package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @ Description   :  街道展示列表Vo
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/4 14:42
 */
@Data
@ApiModel(value = "StreetShowVo")
public class StreetShowVo implements Serializable {
    private static final long serialVersionUID = 7551695826947133899L;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id", name = "autoId")
    private String autoId;

    /**
     * 街道id
     */
    @ApiModelProperty(value = "街道id", name = "parentId")
    private String parentId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "街道id", name = "parentId")
    private String rootId;

    /**
     * 区域名称
     */
    @ApiModelProperty(value = "区域名称", name = "areaName")
    private String areaName;

    /**
     * 街道名称
     */
    @ApiModelProperty(value = "街道名称", name = "streetName")
    private String streetName;

    /**
     * 社区名称
     */
    @ApiModelProperty(value = "社区名称", name = "communityName")
    private String communityName;

    /**
     * 垃圾站数量
     */
    @ApiModelProperty(value = "垃圾站数量", name = "rubbishCount")
    private Integer rubbishCount;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "createTime")
    private Date createTime;
}
