package cn.wisenergy.service.app.impl;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.mapper.AccountUsersMapper;
import cn.wisenergy.model.app.AccountUsers;
import cn.wisenergy.model.vo.AccountUserVo;
import cn.wisenergy.service.app.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class UserServiceImpl implements UserService {
    @Autowired
    private AccountUsersMapper usersMapper;

    @Override
    public R<List<AccountUsers>> getUserList(String keyword) {
        log.info("ljfl-service[]SendOrderServiceImpl[]getUserList[]input.method");
        List<AccountUsers> list = usersMapper.getUserList(keyword);
        return R.ok(list);
    }

    @Override
    public R<List<AccountUserVo>> getUserNameList() {
        log.info("ljfl-service[]SendOrderServiceImpl[]getUserList[]input.method");
        List<AccountUserVo> list = usersMapper.getUserNameList();
        return R.ok(list);
    }
}
